<?php

add_action('init', 'essb_custom_methods_register', 99);
add_filter('essb4_button_positions', 'essb_display_mycustom_position');
add_filter('essb4_button_positions_mobile', 'essb_display_mycustom_position');
add_filter('essb4_custom_positions', 'essb_display_register_mycustom_position');
add_filter('essb4_custom_method_list', 'essb_register_mycustom_position');

function essb_register_mycustom_position($methods) {
	$methods['display-41'] = esc_html__('Pro Blogger: Above Post Content', 'brunch-lite');
	$methods['display-42'] = esc_html__('Pro Blogger: Below Post Content', 'brunch-lite');
	$methods['display-43'] = esc_html__('Pro Blogger: Post List', 'brunch-lite');
	
	return $methods;
}
function essb_custom_methods_register() {
	
	if (is_admin()) {
		if (class_exists('ESSBOptionsStructureHelper')) {
			essb_prepare_location_advanced_customization('where', 'display-41', 'pbtop');
			essb_prepare_location_advanced_customization('where', 'display-42', 'pbbottom');
			essb_prepare_location_advanced_customization('where', 'display-43', 'pbexcerpt');
		}
	}
}
function essb_display_mycustom_position($positions) {
	
	$positions['pbtop'] = array ("image" => "assets/images/display-positions-09.png", "label" => esc_html__("Pro Blogger: Above Post Content", 'brunch-lite') );
	$positions['pbbottom'] = array ("image" => "assets/images/display-positions-09.png", "label" => esc_html__("Pro Blogger: Below Post Content", 'brunch-lite') );
	$positions['pbexcerpt'] = array ("image" => "assets/images/display-positions-09.png", "label" => esc_html__("Pro Blogger: Post List", 'brunch-lite') );
	
	return $positions;
}
function essb_display_register_mycustom_position($positions) {
	$positions['pbtop'] = esc_html__('Pro Blogger: Above Post Content', 'brunch-lite');
	$positions['pbbottom'] = esc_html__('Pro Blogger: Below Post Content', 'brunch-lite');
	$positions['pbexcerpt'] = esc_html__('Pro Blogger: Post List', 'brunch-lite');
}

if (!function_exists('essb_draw_custom_position')) {
	function essb_draw_custom_position($position) {
		if (function_exists('essb_core')) {
			$general_options = essb_core()->get_general_options();
			
			if (is_array($general_options)) {
				if (in_array($position, $general_options['button_position'])) {
					echo essb_core()->generate_share_buttons($position);
				}
			}
		}
	}
}