<?php
require get_template_directory() . '/includes/joy-functions.php';
require get_template_directory() . '/includes/joy-theme-options.php';
require get_template_directory() . '/includes/joy-metabox-options.php';
require get_template_directory() . '/includes/joy-styles.php';
require get_template_directory() . '/includes/class-joy-featured-content.php';

if (defined('ESSB3_VERSION')) {
	add_filter('essb_is_theme_integrated', 'joy_essb_is_in_theme');
	function joy_essb_is_in_theme() {
		return true;
	}

	require get_template_directory() . '/includes/joy-essb-integration.php';
}

require get_template_directory() . '/includes/widgets/widget-instagram.php';
require get_template_directory() . '/includes/widgets/widget-latest-posts.php';
require get_template_directory() . '/includes/widgets/widget-about-me.php';
require get_template_directory() . '/includes/widgets/widget-smart-ads.php';

if (joy_option('image_lazyload', false) == true) {
	require get_template_directory() . '/includes/joy-lazyload-images.php';
}

if (joy_option('recipes_active', false) == true) {
	require get_template_directory() . '/includes/joy-recipe.php';
}

require_once get_template_directory() . '/includes/tgm/class-tgm-plugin-activation.php';
require get_template_directory() . '/includes/joy-tgm-plugins.php';

if(!function_exists('joy_register_plugins')){
	function joy_register_plugins(){
		$joy_plugins = joy_default_plugins();
		tgmpa($joy_plugins);
	}
}

add_action('tgmpa_register', 'joy_register_plugins');
add_action('init', 'joy_check_register_dropcap');
function joy_check_register_dropcap() {
	if (joy_option('dropcap', false) == true) {
		add_filter('the_content', 'joy_set_dropcap', 9);
	}
}


