<?php
require get_template_directory() . '/includes/meta-box/meta-box.php'; // Path to the extension's main file

// https://github.com/rilwis/meta-box/tree/master/demo
// https://metabox.io/docs/getting-started/

add_filter( 'rwmb_meta_boxes', 'joy_meta_boxes' );
function joy_meta_boxes( $meta_boxes ) {
	$meta_boxes[] = array(
			'title'      => esc_html__( 'Display Options', 'brunch-lite' ),
			'post_types' => 'post',
			'priority'   => 'high',
			'fields'     => array(
					array(
							'id' => 'pb_layout',
							'name' => esc_html__( 'Post Style', 'brunch-lite' ),
							'type' => 'select',

							'options' => array(
									'settings_default' => 'Default From Settings',
									'default' => 'Normal',
									'wide' => 'Wide',
									'vertical' => 'Split',
							),
					),
											
					array(
							'id'   => 'pb_subtitle',
							'name' => esc_html__( 'Sub Title', 'brunch-lite' ),
							'type' => 'textarea',
							'desc' => esc_html__('Sub title is a greate way to encourage users read the whole article. With nice written entry sub title paragraph you can increase the article conversion. Sub title will appear only where it is filled here in settings right below title', 'brunch-lite'),
					),		

					array(
							'id' => 'pb_post_sidebar_pos',
							'name' => esc_html__( 'Sidebar Position', 'brunch-lite' ),
							'type' => 'select',
							'placeholder' => esc_html__( 'Choose Sidebar Position', 'brunch-lite' ),
							'options' => array(
									'default' => 'Default',
									'no' => 'Without Sidebar',
									'right' => 'Right',
							),
					),
					
			),
	);
	
	
	$meta_boxes[] = array(
			'title'      => esc_html__( 'Display Options', 'brunch-lite' ),
			'post_types' => 'page',
			'priority'   => 'high',
			'context' => 'side',
			'fields'     => array(
					array(
							'id' => 'pb_page_title',
							'name' => esc_html__( 'Post Title', 'brunch-lite' ),
							'type' => 'select',
	
							'options' => array(
									'show' => 'Show',
									'hide' => 'Hide',
							),
					),
						
			),
	);
		

/** Recipes **/
if (joy_option('recipes_active', false) == true) {

	$meta_boxes[] = array(
			'title'      => esc_html__( 'Recipe', 'brunch-lite' ),
			'post_types' => 'post',
			'priority'   => 'high',
			'fields'     => array(
					array(
							'id'   => 'custom_html',
							'type' => 'custom_html',
							'std'  => '<p>Include your recipe anywhere in content with adding this shortcode <b><code>[brunch-recipe]</code></b></p><div class="recipe-meta-heading" style="font-weight:bold;padding:10px 15px;background-color:#f1f3f5;">Title & Details</div>',
					),
					array(
							'id' => 'pb_recipe_appearance',
							'name' => esc_html__( 'Recipe Appearance', 'brunch-lite' ),
							'type' => 'select',
								
							'options' => array(
									'manual' => 'Do not show',
									'bottom' => 'Automatic after post content',
									'top' => 'Automatic before post content',
										
							),
					),
					array(
							'name'        => esc_html__( 'Title', 'brunch-lite' ),
							'id'          => 'pb_recipe_title',
							'type'        => 'text',
							'placeholder' => esc_html__( 'Enter title of your recipe', 'brunch-lite' ),
					),

					array(
							'name'        => esc_html__( 'SEO Description', 'brunch-lite' ),
							'id'          => 'pb_recipe_desc',
							'type'        => 'textarea',
							'placeholder' => esc_html__( 'Enter brief description of your recipe', 'brunch-lite' ),
					),


					array(
							'id'               => 'pb_recipe_image',
							'name'             => esc_html__( 'SEO Image', 'brunch-lite' ),
							'type'             => 'image_advanced',
							'force_delete'     => false,
							'max_file_uploads' => 1,
					),
					
					array(
							'id' => 'pb_recipe_seo',
							'name' => esc_html__( 'Display SEO Recipe Data', 'brunch-lite' ),
							'type' => 'select',
					
							'options' => array(
									'inherit' => 'Inherit from settings',
									'no' => 'No',
									'yes' => 'Yes',
										
							),
					),
					
					array(
							'name'        => esc_html__( 'Additional Notes', 'brunch-lite' ),
							'id'          => 'pb_recipe_notes',
							'type'        => 'textarea',
							'placeholder' => esc_html__( 'Enter recipe additional notes if you wish to show them', 'brunch-lite' ),
					),

					array(
							'id'   => 'custom_html',
							'type' => 'custom_html',
							'std'  => '<div class="recipe-meta-heading" style="font-weight:bold;padding:10px 15px;background-color:#f1f3f5;">Nutrition Information</div>',
					),
					array(
							'name'        => esc_html__( 'Fat', 'brunch-lite' ),
							'id'          => 'pb_recipe_fat',
							'type'        => 'text',
					),
					array(
							'name'        => esc_html__( 'Calories', 'brunch-lite' ),
							'id'          => 'pb_recipe_cal',
							'type'        => 'text',
					),


					array(
							'id'   => 'custom_html',
							'type' => 'custom_html',
							'std'  => '<div class="recipe-meta-heading" style="font-weight:bold;padding:10px 15px;background-color:#f1f3f5;">Cooking & Preparation</div>',
					),
				
					array(
							'name'        => esc_html__( 'Preparation Time', 'brunch-lite' ),
							'id'          => 'pb_recipe_preptime',
							'type'        => 'number',
							'step'		  => 'any',
							'min'		  => 0,
							'placeholder' => '',
							'desc' 		  => esc_html__('Enter value in minutes to complete this step (example: 10)', 'brunch-lite'),
					),
					array(
							'name'        => esc_html__( 'Cooking Time', 'brunch-lite' ),
							'id'          => 'pb_recipe_cooktime',
							'type'        => 'number',
							'step'		  => 'any',
							'min'		  => 0,
							'placeholder' => '',
							'desc' 		  => esc_html__('Enter value in minutes to complete this step (example: 10)', 'brunch-lite'),
					),
					array(
							'name'        => esc_html__( 'Ready In', 'brunch-lite' ),
							'id'          => 'pb_recipe_totaltime',
							'type'        => 'number',
							'step'		  => 'any',
							'min'		  => 0,
							'placeholder' => '',
							'desc' 		  => esc_html__('Enter value in minutes to complete this step (example: 10)', 'brunch-lite'),
					),
					array(
							'name'        => esc_html__( 'Yields', 'brunch-lite' ),
							'id'          => 'pb_recipe_yields',
							'type'        => 'text',
					),
					array(
							'name'        => esc_html__( 'Cooking Method', 'brunch-lite' ),
							'id'          => 'pb_recipe_cooking_method',
							'type'        => 'text',
					),
					array(
							'name'        => esc_html__( 'Cuisine', 'brunch-lite' ),
							'id'          => 'pb_recipe_cuisine',
							'type'        => 'text',
					),
					array(
							'id'   => 'custom_html',
							'type' => 'custom_html',
							'std'  => '<div class="recipe-meta-heading" style="font-weight:bold;padding:10px 15px;background-color:#f1f3f5;">Ingredients</div>',
					),
					array(
							'name'        => esc_html__( 'Ingredient', 'brunch-lite' ),
							'id'          => 'pb_recipe_ingredients',
							'desc'        => esc_html__( 'Fill in all ingredients for your recipe', 'brunch-lite' ),
							'type'        => 'text',
							'clone'       => true,
							'size'		  => '100%',
							// Placeholder
							'placeholder' => esc_html__( 'Example: 1/2 teaspoon black pepper', 'brunch-lite' ),
					),

					array(
							'id'   => 'custom_html',
							'type' => 'custom_html',
							'std'  => '<div class="recipe-meta-heading" style="font-weight:bold;padding:10px 15px;background-color:#f1f3f5;">Directions</div>',
					),
					array(
							'name'        => esc_html__( 'Steps', 'brunch-lite' ),
							'id'          => 'pb_recipe_steps',
							'desc'        => esc_html__( 'Enter steps to complete the recipe (one in element)', 'brunch-lite' ),
							'type'        => 'wysiwyg',
							'clone'       => true,
					),
			),
	);
}

return $meta_boxes;
}
