<?php

add_filter('the_content', 'brunch_automatic_recipe');

function brunch_automatic_recipe($content) {
	$is_valid = false;	
	
	if (is_single() && get_post_meta(get_the_ID(), 'pb_recipe_appearance', true) == 'bottom') {
		return $content.brunch_recipe_shortcode(array());
	}
	else if (is_single() && get_post_meta(get_the_ID(), 'pb_recipe_appearance', true) == 'top') {
		return brunch_recipe_shortcode(array()).$content;
	}
	else {
		return $content;
	}
}

function brunch_recipe_shortcode($atts) {
	
	$id = isset($atts['id']) ? $atts['id'] : get_the_ID();
	
	if ($id == '') {
		return;
	}
	
	global $recipe_data;
	
	$recipe_data = array();
	
	$recipe_data['title'] = get_post_meta( $id, 'pb_recipe_title', true );
	$recipe_data['description'] = get_post_meta( $id, 'pb_recipe_desc', true );
	$recipe_data['image'] = get_post_meta( $id, 'pb_recipe_image', true );
	$recipe_data['fat'] = get_post_meta( $id, 'pb_recipe_fat', true );
	$recipe_data['cal'] = get_post_meta( $id, 'pb_recipe_cal', true );
	
	$recipe_data['preptime'] = get_post_meta( $id, 'pb_recipe_preptime', true );
	$recipe_data['cooktime'] = get_post_meta( $id, 'pb_recipe_cooktime', true );
	$recipe_data['totaltime'] = get_post_meta( $id, 'pb_recipe_totaltime', true );
	$recipe_data['yields'] = get_post_meta( $id, 'pb_recipe_yields', true );
	$recipe_data['cookingmethod'] = get_post_meta( $id, 'pb_recipe_cooking_method', true );
	$recipe_data['cuisine'] = get_post_meta( $id, 'pb_recipe_cuisine', true );
	$recipe_data['ingredients'] = get_post_meta( $id, 'pb_recipe_ingredients', true );
	$recipe_data['steps'] = get_post_meta( $id, 'pb_recipe_steps', true );
	$recipe_data['show_seo'] = get_post_meta($id, 'pb_recipe_seo', true);
	$recipe_data['notes'] = get_post_meta($id, 'pb_recipe_notes', true);
	
	if ($recipe_data['show_seo'] == 'inherit') {
		$recipe_data['show_seo'] = joy_option('pb_recipe_seo', 'no');
	}

	//print_r($recipe_data);
	// loading recipe draw part of template
	ob_start();
	get_template_part( 'template-parts/content-single-recipe' );
	
	$content = ob_get_contents();
	ob_end_clean();
	
	return $content;
}