<?php
include_once( get_template_directory() . '/includes/kirki3/kirki.php' );

if ( ! function_exists( 'joy_kirki_update_url' ) ) {
	function joy_kirki_update_url( $config ) {
		$config['url_path'] = get_stylesheet_directory_uri() . '/includes/kirki3/';
		$config['disable_google_fonts_output'] = true;
		return $config;
	}
}
add_filter( 'kirki/config', 'joy_kirki_update_url' );

add_action( 'customize_register', 'joy_customize_register' );
function joy_customize_register( $wp_customize ) {
	$wp_customize->remove_control( 'header_textcolor' );
	$wp_customize->remove_control( 'display_header_text' );
	$wp_customize->get_section( 'title_tagline' )->priority = '9';
}

Kirki::add_section( 'brunch_go_pro', array(
		'title'          => esc_attr__( 'Get full version of Brunch', 'brunch-lite' ),
		'description'    => '',
		'panel'          => '',
		'priority'       => 1,
		'capability'     => 'edit_theme_options'
) );

Kirki::add_field( 'brunch-lite', array(
		'type'        => 'custom',
		'settings'    => 'brunch_go_pro',
		'label'       => '<p><b>Enjoying Brunch Lite? Take a look of the Pro functions you can get updating to Brunch Pro:</b></p>
		<ul class="pro-features">
		<li>Additional compact toggle menu style</li>
		<li>Sticky menu option</li>
		<li>Compact header design</li>
		<li>Menu color customization</li>
		<li>Featured posts slider</li>
		<li>Additional blog display styles in 1 column or 2 column</li>
		<li>Masonry blog layout</li>
		<li>Left or right sidebar on blog and archive pages</li>
		<li>Integrated subscribe forms in blog listings (at the end or inside list)</li>
		<li>Sticky footer posts navigation</li>
		<li>3 additional post featured image sizes - slider gallery, wide and split</li>
		<li>Additional left sidebar option to post styles</li>
		<li>Automatic subscribe forms below post content</li>
		<li>Drop caps with 3 different styles</li>
		<li>Fonts customization - font family and size (including support for 600+ Google Fonts)</li>
		<li>Lazy loading images</li>
		<li>Human readable dates (example: 1 day ago or 2 months ago)</li>
		<li>Customize and remove the footer copyright text</li>
		<li>Recipe/blog index builder</li>

		</ul>
		
		<p><b>With Bruch Pro you have also access to the following integrated premium plugins:</b></p>
		<ul class="pro-features">
			<li><b>Easy Social Share Buttons for WordPress</b> - the most feature packed social media plugin for WordPress.</li>
			<li><b>CreoWorx Essential Blogging Widgets</b> - exclusive collection of most used blogging widgets: image based category list, custom banner, featured posts & latests posts (3 styles), posts slider</li>
			<li><b>CreoWorx Blog & Magazine Layout Builder</b> - exclusive blog and magazine layout page builder with 10 different modules</li>
		</ul>
		<a href="http://go.appscreo.com/brunch-pro" target="_blank" class="pro-button">Learn more for Brunch Pro</a>
		',
		'section'     => 'brunch_go_pro',
		'default'     => '',
		'priority'    => 10,
		'transport' => 'refresh',
) );



Kirki::add_config( 'brunch-lite', array(
		'capability'    => 'edit_theme_options',
		'option_type'   => 'theme_mod',
		'disable_output' => true,
		'disable_google_fonts_output' => true
) );

Kirki::add_section( 'joy_header', array(
		'priority'    => 20,
		'title'       => esc_html__( 'Header', 'brunch-lite' ),
		'description' => esc_html__( 'Customize header part of site', 'brunch-lite' ),
) );

Kirki::add_field( 'brunch-lite', array(
		'type'        => 'text',
		'settings'    => 'logo_height',
		'label'       => esc_html__( 'Custom Logo Height', 'brunch-lite' ),
		'description' => esc_html__( 'Theme has set a default height of logo that is used. If your logo does not look good on it enter numeric value here to correct that (example: 50)', 'brunch-lite'),
		'section'     => 'joy_header',
		'default'     => '',
		'priority'    => 10,

		'transport' => 'refresh'
) );

Kirki::add_field( 'brunch-lite', array(
		'type'        => 'text',
		'settings'    => 'logo_width',
		'label'       => esc_html__( 'Custom Logo Width', 'brunch-lite' ),
		'description' => esc_html__( 'Theme does not set default logo width to ensure great display on any resolution. If you use for examepl SVG logo you may need to specify such width. If so enter numeric value (example: 200)', 'brunch-lite'),
		'section'     => 'joy_header',
		'default'     => '',
		'priority'    => 10,

		'transport' => 'refresh'
) );


Kirki::add_field( 'brunch-lite', array(
		'type'        => 'textarea',
		'settings'    => 'home_welcome_text',
		'label'       => esc_html__( 'Homepage Welcome Text', 'brunch-lite' ),
		'description' => esc_html__( 'Set custom title that will appear above lists of posts on homepage when the "Front Page Display" is set to "Your lastes posts".', 'brunch-lite' ),
		'section'     => 'joy_header',
		'default'     => '',
		'priority'    => 10,

		'transport' => 'refresh'
) );


Kirki::add_field( 'brunch-lite', array(
		'type'        => 'switch',
		'settings'    => 'header_featured',
		'label'       => esc_html__( 'Show Featured Posts Slider', 'brunch-lite' ),
		'section'     => 'joy_header',
		'default'     => '0',
		'priority'    => 11,
		'choices'     => array(
				'on'  => esc_attr__( 'Yes', 'brunch-lite' ),
				'off' => esc_attr__( 'No', 'brunch-lite' ),
		),
) );

Kirki::add_field( 'brunch-lite', array(
		'type'        => 'text',
		'settings'    => 'header_featured_tag',
		'label'       => esc_html__( 'Featured Posts Tag', 'brunch-lite' ),
		'description' => esc_html__( 'Set tag name that will be used to display featured posts (example: featured). This tag should also be assigned to posts you wish to show.', 'brunch-lite'),
		'section'     => 'joy_header',
		'default'     => '',
		'priority'    => 11,

		'transport' => 'refresh'
) );

Kirki::add_field( 'brunch-lite', array(
		'type'        => 'text',
		'settings'    => 'header_featured_count',
		'label'       => esc_html__( 'Featured Posts Count', 'brunch-lite' ),
		'description' => esc_html__( 'Set custom post count limit. Default value is 4 posts.', 'brunch-lite'),
		'section'     => 'joy_header',
		'default'     => '',
		'priority'    => 11,

		'transport' => 'refresh'
) );

Kirki::add_field( 'brunch-lite', array(
		'type'        => 'switch',
		'settings'    => 'header_social',
		'label'       => esc_html__( 'Show Social Profiles', 'brunch-lite' ),
		'description' => esc_html__( 'To appear social profiles you need to fill address details in the Social Profiles menu', 'brunch-lite'),
		'section'     => 'joy_header',
		'default'     => '0',
		'priority'    => 14,
		'choices'     => array(
				'on'  => esc_attr__( 'Yes', 'brunch-lite' ),
				'off' => esc_attr__( 'No', 'brunch-lite' ),
		),
) );

Kirki::add_field( 'brunch-lite', array(
		'type'        => 'switch',
		'settings'    => 'header_search',
		'label'       => esc_html__( 'Show Search Form', 'brunch-lite' ),
		'section'     => 'joy_header',
		'default'     => '0',
		'priority'    => 14,
		'choices'     => array(
				'on'  => esc_attr__( 'Yes', 'brunch-lite' ),
				'off' => esc_attr__( 'No', 'brunch-lite' ),
		),
) );

Kirki::add_section( 'joy_blog', array(
		'priority'    => 20,
		'title'       => esc_html__( 'Blog', 'brunch-lite' ),
		'description' => esc_html__( 'Customize blog display', 'brunch-lite' ),
) );

Kirki::add_field( 'brunch-lite', array(
		'type'        => 'switch',
		'settings'    => 'blog_category_filter',
		'label'       => esc_html__( 'Show Category Filter', 'brunch-lite' ),
		'description' => esc_html__( 'Display a quick filter for category selection right above list of posts', 'brunch-lite'),
		'section'     => 'joy_blog',
		'default'     => '0',
		'priority'    => 3,
		'choices'     => array(
				'on'  => esc_attr__( 'Yes', 'brunch-lite' ),
				'off' => esc_attr__( 'No', 'brunch-lite' ),
		),
) );

Kirki::add_field( 'brunch-lite', array(
		'type'        => 'switch',
		'settings'    => 'blog_show_categories',
		'label'       => esc_html__( 'Display Primary Category', 'brunch-lite' ),
		'section'     => 'joy_blog',
		'default'     => '1',
		'priority'    => 4,
		'choices'     => array(
				'on'  => esc_attr__( 'Yes', 'brunch-lite' ),
				'off' => esc_attr__( 'No', 'brunch-lite' ),
		),
) );


Kirki::add_field( 'brunch-lite', array(
		'type'        => 'switch',
		'settings'    => 'blog_show_author',
		'label'       => esc_html__( 'Display Author', 'brunch-lite' ),
		'section'     => 'joy_blog',
		'default'     => '1',
		'priority'    => 4,
		'choices'     => array(
				'on'  => esc_attr__( 'Yes', 'brunch-lite' ),
				'off' => esc_attr__( 'No', 'brunch-lite' ),
		),
) );

Kirki::add_field( 'brunch-lite', array(
		'type'        => 'switch',
		'settings'    => 'blog_show_posted',
		'label'       => esc_html__( 'Display Publish/Update Time', 'brunch-lite' ),
		'section'     => 'joy_blog',
		'default'     => '1',
		'priority'    => 4,
		'choices'     => array(
				'on'  => esc_attr__( 'Yes', 'brunch-lite' ),
				'off' => esc_attr__( 'No', 'brunch-lite' ),
		),
) );

Kirki::add_field( 'brunch-lite', array(
		'type'        => 'switch',
		'settings'    => 'blog_show_excerpt',
		'label'       => esc_html__( 'Display Excerpt', 'brunch-lite' ),
		'section'     => 'joy_blog',
		'default'     => '1',
		'priority'    => 4,
		'choices'     => array(
				'on'  => esc_attr__( 'Yes', 'brunch-lite' ),
				'off' => esc_attr__( 'No', 'brunch-lite' ),
		),
) );

Kirki::add_field( 'brunch-lite', array(
		'type'        => 'switch',
		'settings'    => 'blog_show_readmore',
		'label'       => esc_html__( 'Display Read More Button', 'brunch-lite' ),
		'section'     => 'joy_blog',
		'default'     => '1',
		'priority'    => 4,
		'choices'     => array(
				'on'  => esc_attr__( 'Yes', 'brunch-lite' ),
				'off' => esc_attr__( 'No', 'brunch-lite' ),
		),
) );

Kirki::add_field( 'brunch-lite', array(
		'type'        => 'switch',
		'settings'    => 'blog_recipe_meta',
		'label'       => esc_html__( 'Show Basic Recipe Meta Details', 'brunch-lite' ),
		'description' => esc_html__( 'Set this to Yes if you wish to show basic recipe details in list of posts - read time, yields', 'brunch-lite'),
		'section'     => 'joy_blog',
		'default'     => '0',
		'priority'    => 12,
		'choices'     => array(
				'on'  => esc_attr__( 'Yes', 'brunch-lite' ),
				'off' => esc_attr__( 'No', 'brunch-lite' ),
		),
) );


Kirki::add_section( 'joy_post', array(
		'priority'    => 20,
		'title'       => esc_html__( 'Post', 'brunch-lite' ),
		'description' => esc_html__( 'Customize post display', 'brunch-lite' ),
) );


Kirki::add_field( 'brunch-lite', array(
		'type'        => 'switch',
		'settings'    => 'post_related',
		'label'       => esc_html__( 'Show Related Posts', 'brunch-lite' ),
		'section'     => 'joy_post',
		'default'     => '1',
		'priority'    => 4,
		'choices'     => array(
				'on'  => esc_attr__( 'Yes', 'brunch-lite' ),
				'off' => esc_attr__( 'No', 'brunch-lite' ),
		),
) );


Kirki::add_field( 'brunch-lite', array(
		'type'        => 'switch',
		'settings'    => 'post_author_bio',
		'label'       => esc_html__( 'Show Author Information', 'brunch-lite' ),
		'section'     => 'joy_post',
		'default'     => '0',
		'priority'    => 4,
		'choices'     => array(
				'on'  => esc_attr__( 'Yes', 'brunch-lite' ),
				'off' => esc_attr__( 'No', 'brunch-lite' ),
		),
) );

Kirki::add_field( 'brunch-lite', array(
		'type'        => 'select',
		'settings'    => 'post_sidebar',
		'label'       => esc_html__( 'Post Sidebar', 'brunch-lite' ),
		'section'     => 'joy_post',
		'default'     => 'no',
		'priority'    => 5,
		'multiple'    => 0,
		'choices'     => array(
				'no' => esc_attr__( 'Without Sidebar', 'brunch-lite' ),
				'right' => esc_attr__( 'Right Sidebar', 'brunch-lite' ),
		),
) );

Kirki::add_section( 'joy_colors', array(
		'priority'    => 20,
		'title'       => esc_html__( 'Colors', 'brunch-lite' ),
		'description' => esc_html__( 'Customize site colors', 'brunch-lite' ),
) );

Kirki::add_field( 'brunch-lite', array(
		'type'        => 'select',
		'settings'    => 'color_mode',
		'label'       => esc_html__( 'Color Mode', 'brunch-lite' ),
		'section'     => 'joy_colors',
		'default'     => 'light',
		'priority'    => 1,
		'multiple'    => 0,
		'choices'     => array(
				'light' => esc_attr__( 'Light', 'brunch-lite' ),
				'dark' => esc_attr__( 'Dark', 'brunch-lite' ),
		),
) );


Kirki::add_field( 'brunch-lite', array(
		'type'        => 'radio-buttonset',
		'settings'    => 'wd_styles',
		'label'       => esc_html__( 'Widget Heading Style', 'brunch-lite' ),
		'section'     => 'joy_colors',
		'default'     => 'classic',
		'priority'    => 2,
		'choices'     => array(
				'classic'   => esc_attr__( 'Classic', 'brunch-lite' ),
				'modern' => esc_attr__( 'Modern', 'brunch-lite' ),
		),
		
) );

Kirki::add_field( 'brunch-lite', array(
		'type'        => 'color',
		'settings'    => 'background_color',
		'label'       => esc_html__( 'Background Color', 'brunch-lite' ),
		'section'     => 'joy_colors',
		'default'     => '#ffffff',
		'priority'    => 3,
		'choices'     => array(
				'alpha' => false,
		),
		'transport' => 'refresh'
) );

Kirki::add_field( 'brunch-lite', array(
		'type'        => 'color',
		'settings'    => 'text_color',
		'label'       => esc_html__( 'Text Color', 'brunch-lite' ),
		'section'     => 'joy_colors',
		'default'     => '#000000',
		'priority'    => 3,
		'choices'     => array(
				'alpha' => false,
		),
		'transport' => 'refresh'
) );

Kirki::add_field( 'brunch-lite', array(
		'type'        => 'color',
		'settings'    => 'second_text_color',
		'label'       => esc_html__( 'Secondary Text Color', 'brunch-lite' ),
		'section'     => 'joy_colors',
		'default'     => '#999999',
		'priority'    => 3,
		'choices'     => array(
				'alpha' => false,
		),
		'transport' => 'refresh'
) );

Kirki::add_field( 'brunch-lite', array(
		'type'        => 'color',
		'settings'    => 'link_color',
		'label'       => esc_html__( 'Link Color', 'brunch-lite' ),
		'section'     => 'joy_colors',
		'default'     => '#000000',
		'priority'    => 3,
		'choices'     => array(
				'alpha' => false,
		),
		'transport' => 'refresh'
) );

Kirki::add_field( 'brunch-lite', array(
		'type'        => 'color',
		'settings'    => 'hover_color',
		'label'       => esc_html__( 'Hover Link Color', 'brunch-lite' ),
		'section'     => 'joy_colors',
		'default'     => '#000000',
		'priority'    => 3,
		'choices'     => array(
				'alpha' => false,
		),
		'transport' => 'refresh'
) );


Kirki::add_section( 'joy_extensions', array(
		'priority'    => 20,
		'title'       => esc_html__( 'Theme Extensions', 'brunch-lite' ),
		'description' => esc_html__( 'Customize different theme extension options', 'brunch-lite' ),
) );

Kirki::add_field( 'brunch-lite', array(
		'type'        => 'switch',
		'settings'    => 'blog_show_time',
		'label'       => esc_html__( 'Show Time to Read', 'brunch-lite' ),
		'section'     => 'joy_extensions',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => array(
				'on'  => esc_attr__( 'Yes', 'brunch-lite' ),
				'off' => esc_attr__( 'No', 'brunch-lite' ),
		),
) );

Kirki::add_field( 'brunch-lite', array(
		'settings' => 'blog_show_time_words',
		'label'    => esc_html__( 'Words per Minute', 'brunch-lite' ),
		'section'  => 'joy_extensions',
		'type'     => 'text',
		'priority' => 10,
		'default'  => '250',
) );

Kirki::add_field( 'brunch-lite', array(
		'type'        => 'switch',
		'settings'    => 'footer_fullwidth',
		'label'       => esc_html__( 'Show Full Width Footer Area', 'brunch-lite' ),
		'section'     => 'joy_extensions',
		'default'     => '0',
		'priority'    => 10,
		'choices'     => array(
				'on'  => esc_attr__( 'Yes', 'brunch-lite' ),
				'off' => esc_attr__( 'No', 'brunch-lite' ),
		),
) );

Kirki::add_field( 'brunch-lite', array(
		'type'        => 'switch',
		'settings'    => 'footer_widgets',
		'label'       => esc_html__( 'Show Footer Widgets Area', 'brunch-lite' ),
		'section'     => 'joy_extensions',
		'default'     => '0',
		'priority'    => 10,
		'choices'     => array(
				'on'  => esc_attr__( 'Yes', 'brunch-lite' ),
				'off' => esc_attr__( 'No', 'brunch-lite' ),
		),
) );

Kirki::add_field( 'brunch-lite', array(
		'type'        => 'switch',
		'settings'    => 'recipes_active',
		'label'       => esc_html__( 'Recipe Generation', 'brunch-lite' ),
		'description' => esc_html__( 'Activate this option to add metabox to your posts allows adding Recipes.', 'brunch-lite'),
		'section'     => 'joy_extensions',
		'default'     => '0',
		'priority'    => 12,
		'choices'     => array(
				'on'  => esc_attr__( 'Yes', 'brunch-lite' ),
				'off' => esc_attr__( 'No', 'brunch-lite' ),
		),
) );

Kirki::add_field( 'brunch-lite', array(
		'type'        => 'select',
		'settings'    => 'pb_recipe_seo',
		'label'       => esc_html__( 'Show Recipe SEO Data', 'brunch-lite' ),
		'description' => esc_html__( 'Recipe SEO data contains description and image which usually are required for search engines but you can display them for the visitors too.', 'brunch-lite'),
		'section'     => 'joy_extensions',
		'default'     => 'no',
		'priority'    => 12,
		'multiple'    => 0,
		'choices'     => array(
				'no' => esc_attr__( 'No', 'brunch-lite' ),
				'yes' => esc_attr__( 'Yes', 'brunch-lite' ),
		),
) );

Kirki::add_section( 'joy_social', array(
		'priority'    => 20,
		'title'       => esc_html__( 'Social Profiles', 'brunch-lite' ),
		'description' => esc_html__( 'Fill social profile links for networks you are using and make it possible to display them on site at preset locations', 'brunch-lite' ),
) );

global $joy_social_apis;
$joy_social_apis = array('facebook' => 'Facebook', 'twitter' => 'Twitter', 'instagram' => 'Instagram', 'google' => 'Google', 'youtube' => 'YouTube', 'snapchat' => 'SnapChat', 'flipboard' => 'FlipBoard');
foreach ($joy_social_apis as $network => $network_name) {
	Kirki::add_field( 'brunch-lite', array(
			'settings' => 'social_'.$network,
			'label'    => $network_name,
			'section'  => 'joy_social',
			'type'     => 'text',
			'priority' => 10,
			'default'  => '',
	) );
}

//

function joy_generate_simplified_fonts($pb_font_list) {
	$output = array();

	$output[''] = '';

	foreach ($pb_font_list as $font => $data) {
		$output[$font] = isset($data['label']) ? $data['label'] : $font;
	}

	return $output;
}