<?php 

$joy_style = joy_option('blog_post_style', 'classic');
$joy_count_posts = get_option( 'posts_per_page' );
$joy_middle_count = round($joy_count_posts / 2);

?>

<?php get_header(); ?>

	<div class="section-inner section-listing">
	
		<?php if ( is_home() && $paged == 0) : ?>
		
			<?php if ( joy_option('home_welcome_text', '') != ''  ) { ?>
			<header class="page-header fade-block large">
				<div>
					<h2 class="title"><?php echo esc_html( joy_option('home_welcome_text', '') ); ?></h2>
				</div>
			</header>
			<?php } ?>
			
			<?php 
			if (joy_option('header_featured', false) == true) {
				
				get_template_part( 'template-parts/featured-mag' );
			}					
			?>
		
		<?php elseif ( is_archive() ) : ?>
		
			<header class="page-header fade-block large">
				<div>
					<h2 class="title"><?php the_archive_title(); ?></h2>
					<?php the_archive_description(); ?>
				</div>
			</header>
		
		<?php elseif ( is_search() && have_posts() ) : ?>
		
			<header class="page-header fade-block large">
				<div>
					<h2 class="title"><?php printf( __( 'Search: %s', 'brunch-lite' ), '&ldquo;' . get_search_query() . '&rdquo;' ); ?></h2>
					<p><?php global $found_posts; printf( __( 'We found %s results matching your search.', 'brunch-lite' ), $wp_query->found_posts ); ?></p>
				</div>
			</header>
		
		<?php elseif ( is_search() ) : ?>

			<div class="section-inner">

				<header class="page-header fade-block">
					<div>
						<h2 class="title"><?php _e( 'No results found', 'brunch-lite' ); ?></h2>
						<p><?php global $found_posts; printf( __( 'We could not find any results for the search query "%s".', 'brunch-lite' ), get_search_query() ); ?></p>
					</div>
				</header>

			</div>

		<?php endif;
		
		if ( have_posts() ) : ?>
			<div class="posts-holder">
			
				<?php if (is_home() && joy_option('blog_category_filter', false) == true): 
					joy_categories_filter('index');
				endif;
				?>
			
				<div class="posts" id="posts">
	
					<?php 
					$joy_position = 1;
					while ( have_posts() ) : the_post();
	
						if (joy_option('blog_subscribe', false) == true && joy_option('blog_subscribe_position', 'end') == 'inside' && $joy_position == $joy_middle_count) {
								get_template_part( 'template-parts/classic-subscribe-form' );
						}
					
						get_template_part( 'template-parts/content-classic-columns' );
						
						$joy_position++;
	
					endwhile; ?>
	
					<?php 
					
					if (joy_option('blog_subscribe', false) == true && joy_option('blog_subscribe_position', 'end') == 'end') {
							get_template_part( 'template-parts/classic-subscribe-form' );
					}
					
					?>
				</div><!-- .posts -->
				
				<?php get_template_part( 'pagination' ); ?>
			</div>
			
			<?php 
			if (is_active_sidebar( 'blog-1' ) && joy_option('blog_sidebar', 'no') != 'no' ) :
			?>
				<div id="secondary" class="widget-area" role="complementary">
				<?php
				// Sidebar
				dynamic_sidebar( 'blog-1' );
				?>
				</div><!-- #secondary -->
			<?php 
			endif;
		
		endif; ?>
	
	</div><!-- .section-inner -->

<?php 

get_footer(); ?>