<?php

get_header();

if ( have_posts() )  :

	while ( have_posts() ) : the_post(); ?>

		<div <?php post_class( 'section-inner section-single' ); ?>>
			<div class="single-header">
		
			<header class="page-header section-inner large<?php if ( has_post_thumbnail() ) echo ' fade-block'; ?>">

				<div>

					<?php
					the_title( '<h1 class="title">', '</h2>' );

					// Make sure we have a custom excerpt
					//if ( has_excerpt() ) the_excerpt();
					if (joy_meta_value(get_the_ID(), 'subtitle') != '') {
						echo '<p>'.joy_meta_value(get_the_ID(), 'subtitle');
					}

					// Only output post meta data on single
					if ( is_single() ) : ?>

						<div class="meta">

							<?php
							echo __( 'In', 'brunch-lite' ) . ' '; the_category( ', ' );
							
							joy_single_entry_additional_meta();

							if ( comments_open() ) : ?>
								<span>&bull;</span>
								<?php comments_popup_link(
									__( 'Add Comment', 'brunch-lite' ),
									__( '1 Comment', 'brunch-lite' ),
									sprintf( __('%s Comments', 'brunch-lite' ), '%' ),
									''
								); ?>
							<?php endif; ?>

						</div>

					<?php endif; ?>
					
					<?php 
					if (is_single()) {
						if (function_exists('essb_draw_custom_position') && defined('ESSB3_VERSION')) {
							echo essb_draw_custom_position('pbtop');
						}
					}					
					?>

				</div>

			</header><!-- .page-header -->

			<?php if ( has_post_thumbnail() ) : ?>

				<div class="featured-image">
				
					<?php 
					
					$joy_has_postgallery = joy_has_post_gallery(get_the_ID(), 'featured_gallery');
					
					if (is_single() && $joy_has_postgallery['active']) {
						get_template_part( 'template-parts/content-slider-gallery' );
					}
					else {
						the_post_thumbnail( 'joy_fullscreen-image' );
					}
					
					?>
				</div>

			<?php endif; ?>

			</div>
			
			<div class="entry-container section-inner large">
			
			<div class="entry-primary">
			
			<div class="entry-content">

				<?php the_content(); ?>

			</div> <!-- .content -->
			
			
			<?php 
				if (is_single()) {
					if (function_exists('essb_draw_custom_position') && defined('ESSB3_VERSION')) {
						echo essb_draw_custom_position('pbbottom');
					}
				}					
			?>

			<?php

			wp_link_pages( array(
				'before' => '<p class="section-inner thin linked-pages">' . __( 'Pages:', 'brunch-lite' ),
			) );

			if ( get_post_type() == 'post' ) : ?>

				<div class="meta bottom section-inner large group">

					<?php if ( get_the_tags() ) : ?>

						<p class="tags"><?php the_tags( ' #', ' #', ' ' ); ?></p>

					<?php endif; ?>

					

				</div> <!-- .meta -->

			<?php endif; ?>
			
			<?php 
			if ( get_post_type() == 'post' && joy_option('post_author_bio', false) == true ) get_template_part( 'template-parts/content-author-bio' );
			?>
			
			<?php 
			if ( get_post_type() == 'post' && joy_option('post_subscribe', false) == true) {
				get_template_part( 'template-parts/content-subscribe-form' );
			}
			?>

			<?php

			// If comments are open, or there are at least one comment
			if ( get_comments_number() || comments_open() ) : ?>

				<div class="section-inner large">
					<?php comments_template(); ?>
				</div>

			<?php endif; ?>

		</div> <!-- .post -->
		
		<?php 
		if (is_active_sidebar( 'post-1' ) && is_single() && joy_get_sidebar_setup() != 'no' ) :
		?>
			<div id="secondary" class="widget-area" role="complementary">
			<?php
			// Sidebar
			dynamic_sidebar( 'post-1' );
			?>
			</div><!-- #secondary -->
		<?php 
		endif;
		
		?>
		</div>
		<?php 

		if ( get_post_type() == 'post' && joy_option('post_related', true) == true ) get_template_part( 'related-posts' );
		
		if ( get_post_type() == 'post' && joy_option('post_sticky_footer', false) == true ) get_template_part( 'template-parts/content', 'single-sticky' );

	?>
	</div>
	<?php 
	endwhile;

endif;

get_footer(); ?>