<?php
/**
 * The template for displaying Author Bio
 *
 * @package Joy
 */
?>

<div class="author-info">
	<div class="author-avatar">
		<?php
		/**
		 * Filter the author bio avatar size.
		 *
		 * @param int $size The avatar height and width size in pixels.
		 */
		$author_bio_avatar_size = apply_filters( 'joy_author_bio_avatar_size', 80 );

		echo get_avatar( get_the_author_meta( 'user_email' ), $author_bio_avatar_size );
		?>
	</div><!-- .author-avatar -->
	<div class="author-data">
		<div class="author-heading">
			<div class="author-title"><?php esc_html_e( 'Published by', 'brunch-lite' ); ?></div>
			<div class="author-name"><?php echo esc_html(get_the_author()); ?></div>
		</div><!-- .author-heading -->
	
		<p class="author-bio">
			<?php echo esc_html(get_the_author_meta( 'description' )); ?>
			<a class="author-link" href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" rel="author">
				<?php printf( esc_html__( 'View all posts by %s &rarr;', 'brunch-lite' ), get_the_author() ); ?>
			</a>
		</p><!-- .author-bio -->
	</div>
</div><!-- .author-info -->
