<?php
global $recipe_data;
function passionblogger_recipe_time($minutes) {
	$minutes = intval($minutes);
	
	$output = array();
	
	if ($minutes < 60) {
		$output['schema'] = 'PT'.$minutes.'M';
		$output['time'] = '00:'.sprintf("%02d", $minutes);		
	}
	else {
		$hours = floor($minutes / 60);
		$minutes = $minutes - ($hours * 60);
		
		$output['schema'] = 'PT'.intval($hours).'H'.intval($minutes).'M';
		$output['time'] = sprintf("%02d", $hours).':'.sprintf("%02d", $minutes);
	}
	
	return $output;
}

$current_recipe_id = uniqid();
?>
<div class="recipe-print-container" id="recipe-<?php echo $current_recipe_id; ?>">
<div itemscope itemtype="http://schema.org/Recipe" class="recipe">
	<div class="recipe-header">
		<?php if (!empty($recipe_data['title'])): ?>
	    	<h3 class="recipe-title" itemprop="name"><?php echo $recipe_data['title']; ?></h3>
	    <?php endif;?>
	    
	    <?php if ($recipe_data['show_seo'] == 'yes'):?>
			<?php if (!empty($recipe_data['description'])): ?>
		    	<div class="recipe-description" itemprop="description"><?php echo $recipe_data['description']; ?></div>
		    <?php endif;?>
	    <?php endif;?>
    </div>
	<?php if ($recipe_data['show_seo'] == 'yes'):?>
	    <?php if (!empty($recipe_data['image'])): ?>
	    	<img class="recipe-image" itemprop="image" src="<?php echo wp_get_attachment_url($recipe_data['image']); ?>">
	    <?php endif;?>
    <?php endif;?>
    
    <div class="recipe-info">
    			<?php if (!empty($recipe_data['preptime'])): ?>
    				<?php $time = passionblogger_recipe_time($recipe_data['preptime']); ?>    				
    				<div class="recipe-info-single"><i class="pb-icon-colander"></i><span><?php esc_html_e('Preparation', 'brunch-lite')?></span><time datetime="<?php echo $time['schema']; ?>" itemprop="prepTime"><?php echo $time['time']; ?></time></div>
    			<?php endif; ?>

    			<?php if (!empty($recipe_data['cooktime'])): ?>
    				<?php $time = passionblogger_recipe_time($recipe_data['cooktime']); ?>
    				<div class="recipe-info-single"><i class="pb-icon-cooking"></i><span><?php esc_html_e('Cooking', 'brunch-lite'); ?></span> <time datetime="<?php echo $time['schema']; ?>" itemprop="prepTime"><?php echo $time['time']; ?></time></div>
    			<?php endif; ?>
    			<?php if (!empty($recipe_data['totaltime'])): ?>
    				<?php $time = passionblogger_recipe_time($recipe_data['totaltime']); ?>
    				<div class="recipe-info-single"><i class="pb-icon-serving"></i><span><?php esc_html_e('Ready in', 'brunch-lite'); ?></span> <time datetime="<?php echo $time['schema']; ?>" itemprop="prepTime"><?php echo $time['time']; ?></time></div>
    			<?php endif; ?>
    			<?php if (!empty($recipe_data['yields'])): ?>
    				<div class="recipe-info-single"><i class="pb-icon-cutlery"></i><span><?php esc_html_e('Yields', 'brunch-lite')?></span> <span class="field" itemprop="recipeYield"><?php echo $recipe_data['yields']; ?></span></div>
    			<?php endif; ?>
    			<?php if (!empty($recipe_data['cookingmethod'])): ?>
    				<div class="recipe-info-single"><i class="pb-icon-chef"></i><span><?php esc_html_e('Cooking method', 'brunch-lite')?></span> <span class="field" itemprop="cookingMethod"><?php echo $recipe_data['cookingmethod']; ?></span></div>
    			<?php endif; ?>
    			<?php if (!empty($recipe_data['cuisine'])): ?>
    				<div class="recipe-info-single"><i class="pb-icon-planet-earth"></i><span><?php esc_html_e('Cuisine', 'brunch-lite')?></span> <span class="field" itemprop="recipeCuisine"><?php echo $recipe_data['cuisine']; ?></span></div>
    			<?php endif; ?>
    			
    </div>
    
    <div class="recipe-details">
    	<div class="recipe-ingredients">
    		<?php if (is_array($recipe_data['ingredients'])):?>
    		<h5><?php esc_html_e('Ingredients', 'brunch-lite')?></h5>
    		<ul>
    			<?php 
    			foreach ($recipe_data['ingredients'] as $ingredient) {
    				echo '<li><span class="recipe-check"><span class="mark">X</span></span><span itemprop="recipeIngredient">'.$ingredient.'</span></li>';
    			}
    			
    			?>
    		</ul>
    		<?php endif; ?>
    	</div>
    	
    	<div class="recipe-steps">
    		<h5><?php esc_html_e('Directions', 'brunch-lite'); ?></h5>
    		
    		<div itemprop="recipeInstructions">
    		<?php 
    			$step_count = 1;
    			foreach ($recipe_data['steps'] as $step) {
    				echo '<div class="clear"><span class="step">'.$step_count.'</span>'.$step.'</div>';
    				
    				$step_count++;
    			}
    			
    			?>
    		</div>
    	</div>
    	
    	<?php if (!empty($recipe_data['fat']) || !empty($recipe_data['cal'])): ?>
    		<div class="recipe-nutrition">
    			<h5><?php esc_html_e('Nutrition Information', 'brunch-lite')?> </h5>
    			<div class="recipe-nutrition" itemprop="nutrition" itemscope itemtype="http://schema.org/NutritionInformation"">
    				<div class="recipe-nutrition-icon">
    					<i class="pb-icon-daily-specials-board"></i>
    				</div>
    				<ul>
    					<?php if (!empty($recipe_data['fat'])): ?>
    						<li><?php esc_html_e('Fat:', 'brunch-lite')?> <span itemprop="fatContent"><?php echo $recipe_data['fat']; ?></span></li>
    					<?php endif; ?>
    					<?php if (!empty($recipe_data['cal'])): ?>
    						<li><?php esc_html_e('Calories:', 'brunch-lite')?> <span itemprop="calories"><?php echo $recipe_data['cal']; ?></span></li>
    					<?php endif; ?>
    				</ul>
    			</div>
    		</div>
    	<?php endif; ?>
    	
    	<?php if (!empty($recipe_data['notes'])):?>
	    	<div class="recipe-notes">
    			<h5><?php esc_html_e('Notes', 'brunch-lite')?> </h5>
    			<div class="recipe-notes-content">
    				<?php echo $recipe_data['notes']; ?>
    			</div>
    		</div>
    	<?php endif;?>
    	
    </div>
    
</div>
</div>