<?php 

$extra_classes = 'classic-preview tracker';

// Determine whether a fallback is needed for sizing
if ( has_post_thumbnail() ) {
	$image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'joy_preview-image' );
	if ( $image ) {
		$aspect_ratio = $image[2] / $image[1];
		// Guaranteee a mininum aspect ratio of 3/4
		if ( $aspect_ratio <= 0.75 ) {
			$extra_classes .= ' fallback-image';
		}
	}
} else {
	$extra_classes .= ' fallback-image';
}

?>

<div <?php post_class( $extra_classes ); ?> id="post-<?php the_ID(); ?>">

	<div class="post-featured-image">
		<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
			<?php the_post_thumbnail( 'joy_preview-image' ); ?>
		</a>
	</div>
	<header class="post-preview-header">
		<h2 class="title">
		 <a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
			<?php echo get_the_title(); ?></a>
		</h2>
		<div class="post-meta-details">
				<?php joy_grid_category(); ?>
				<?php joy_grid_additional_meta(); ?>
				
				
			
		</div>
	</header>	

</div>